## kmailtransport 20.12.3

=== debian/changelog ===
kmailtransport (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:22:29 +0000

kmailtransport (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:12 +0000

kmailtransport (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:11:27 +0000

kmailtransport (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Refresh make_libgapi_optional.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:29:26 +0000

kmailtransport (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:53:42 +0000
