=== src/kmailtransport/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
+add_library(KF5MailTransport)
+add_library(KF5::MailTransport ALIAS KF5MailTransport)
 ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfigVersion.cmake"
     SOVERSION 5
     )
 
-set(mailtransport_lib_srcs
+target_sources(KF5MailTransport PRIVATE
     transport.cpp
     transportmanager.cpp
     transporttype.cpp
@@ -14,7 +16,7 @@
     servertest.cpp
     )
 
-set(mailtransport_widgets_srcs
+target_sources(KF5MailTransport PRIVATE
     widgets/transportconfigwidget.cpp
     widgets/transportcombobox.cpp
     widgets/transportlistview.cpp
@@ -22,34 +24,30 @@
     widgets/addtransportdialogng.cpp
     )
 
-set(mailtransport_plugins_srcs
+target_sources(KF5MailTransport PRIVATE
     plugins/transportabstractplugin.cpp
     plugins/transportpluginmanager.cpp
     ) 
 
 
-ecm_qt_declare_logging_category(mailtransport_lib_srcs HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
+ecm_qt_declare_logging_category(KF5MailTransport HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
         DESCRIPTION "kmailtransport (kmailtransport)"
         OLD_CATEGORY_NAMES log_mailtransport
         EXPORT MAILTRANSPORT
     )
 
-ki18n_wrap_ui(mailtransport_lib_srcs
+ki18n_wrap_ui(KF5MailTransport
     ui/addtransportdialog.ui
     ui/transportmanagementwidget.ui
     )
 
-kconfig_add_kcfg_files(mailtransport_lib_srcs transportbase.kcfgc)
+kconfig_add_kcfg_files(KF5MailTransport transportbase.kcfgc)
 
-add_library(KF5MailTransport
-    ${mailtransport_lib_srcs}
-    ${mailtransport_widgets_srcs}
-    ${mailtransport_plugins_srcs}
-    )
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(KF5MailTransport PROPERTIES UNITY_BUILD ON)
+endif()
 
 generate_export_header(KF5MailTransport BASE_NAME mailtransport)
-
-add_library(KF5::MailTransport ALIAS KF5MailTransport)
 
 target_include_directories(KF5MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport>")
 target_include_directories(KF5MailTransport PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")
@@ -59,18 +57,18 @@
     KF5::Wallet
     PRIVATE
     KF5::I18n
-    KF5::KIOCore
     KF5::ConfigGui
     KF5::WidgetsAddons
     KF5::CoreAddons
     KF5::Wallet
     KF5::ConfigWidgets
-    Qt5::DBus
-    Qt5::Network
+    Qt::DBus
+    Qt::Network
+    qt5keychain
     )
 
 set_target_properties(KF5MailTransport PROPERTIES
-    VERSION ${MAILTRANSPORT_VERSION_STRING}
+    VERSION ${MAILTRANSPORT_VERSION}
     SOVERSION ${MAILTRANSPORT_SOVERSION}
     EXPORT_NAME MailTransport
     )
@@ -131,7 +129,7 @@
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport COMPONENT Devel
     )
 
-ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "Wallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/)
+ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "KWallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
