=== debian/changelog ===
kmailtransport (21.08.1-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 18.08.1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 16 Oct 2018 14:10:00 +0000]
  * Remove armhf from architecture list for libkpimgapi-dev dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 29 Sep 2021 02:39:37 +0000

kmailtransport (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:22:58 +0900

kmailtransport (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Update patch.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:49:41 +0900

kmailtransport (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:36:38 +0900

kmailtransport (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:12:00 +0900

kmailtransport (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update kgapi patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:32 +0900
