=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5service-dev (>= 5.79.0~),
                libkf5textwidgets-dev (>= 5.83.0~),
                libkf5wallet-dev (>= 5.83.0~),
-               libkpimgapi-dev (>= 21.08.1~) [amd64 arm64 i386 mipsel],
+               libkpimgapi-dev (>= 21.08.1~) [amd64 arm64 armhf i386 mipsel],
                libkpimsmtp-dev (>= 21.08.1~),
                libsasl2-dev,
                libsasl2-modules,
